/*!
@angular-dynaform/material 0.0.1 2017-10-15T04:08:17.052Z 
*/
import { ControlType, DynamicForm, DynamicFormControlComponent, DynamicFormControlComponentBase, DynamicFormErrorComponent, DynamicFormFormControlComponent, DynamicFormModule, DynamicFormService } from '@angular-dynaform/core';
import { CommonModule } from '@angular/common';
import { Component, NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule, MatCheckboxModule, MatInputModule, MatRadioModule, MatSelectModule, MatSlideToggleModule, MatSliderModule } from '@angular/material';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialArrayComponent extends DynamicFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialArrayComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-array-component',
                template: `
    <div
      [formGroup]="model.ngGroup"
      [ngClass]="model.css.container"
    >
      <fieldset
        [id]="model.id"
        [ngClass]="model.css.control"
        adfHTMLDomElement
      >
        <legend
          *ngIf="model.local.label"
          [ngClass]="model.css.label"
          [innerHTML]="model.local.label"
        ></legend>
        <adf-group-container
          *ngIf="model.header"
          [ngClass]="model.header.css.content"
          [model]="model.header"
        >
        </adf-group-container>
        <adf-error-container [model]="model">
        </adf-error-container>
        <div
          [formArrayName]="model.key"
          [ngClass]="model.css.content"
        >
          <ng-container
            *ngFor="let item of model.items; let i=index"
            [formGroupName]="i"
          >
            <adf-group-container
              [ngClass]="item.css.content"
              [model]="item"
            >
            </adf-group-container>
          </ng-container>
        </div>
        <adf-group-container
          *ngIf="model.footer"
          [ngClass]="model.footer.css.content"
          [model]="model.footer"
        >
        </adf-group-container>
      </fieldset>
    </div>
  `,
                inputs: ['model'],
                providers: [{ provide: DynamicFormControlComponentBase, useExisting: MaterialArrayComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialArrayComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialButtonComponent extends DynamicFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialButtonComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-button-component',
                template: `
    <div
      [formGroup]="model.ngGroup"
      [ngClass]="model.css.container"
    >
      <button mat-raised-button
        [formControlName]="model.key"
        [id]="model.id"
        [ngClass]="model.css.control"
        [type]="buttonType"

        adfHTMLDomElement
        ngDefaultControl
      >
      <span [ngClass]="model.css.control"
        [innerHTML]="model.local.label"
      ></span>
      </button>
    </div>
  `,
                inputs: ['model'],
                providers: [{ provide: DynamicFormControlComponentBase, useExisting: MaterialButtonComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialButtonComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialCheckboxComponent extends DynamicFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialCheckboxComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-checkbox-component',
                template: `
    <div
      [formGroup]="model.ngGroup"
      [ngClass]="model.css.container"
    >
      <label
        [attr.for]="model.id"
        [ngClass]="model.css.label"
      >
        <mat-checkbox
          [formControlName]="model.key"
          [id]="model.id"
          [ngClass]="model.css.control"
          adfHTMLDomElement
        >
        </mat-checkbox>
        <span [ngClass]="model.css.label"
          [innerHTML]="model.local.label">
        </span>
      </label>
      <adf-error-container [model]="model">
      </adf-error-container>
    </div>
  `,
                inputs: ['model'],
                providers: [{ provide: DynamicFormControlComponentBase, useExisting: MaterialCheckboxComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialCheckboxComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialDivisionComponent extends DynamicFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialDivisionComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-division-component',
                template: `
    <div
      [formGroup]="model.ngGroup"
      [ngClass]="model.css.container"
    >
      <div
        [ngClass]="model.css.control"
        adfHTMLDomElement
      >
        <adf-error-container [model]="model">
        </adf-error-container>
        <adf-group-container
          [model]="model"
          [ngClass]="model.css.content"
        >
        </adf-group-container>
      </div>
    </div>
  `,
                inputs: ['model'],
                providers: [{ provide: DynamicFormControlComponentBase, useExisting: MaterialDivisionComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialDivisionComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

// tslint:disable use-life-cycle-interface
// TODO: add class 'mat-input-error'
// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialErrorComponent extends DynamicFormErrorComponent {
    /**
     * @param {?} form
     */
    constructor(form) {
        super(form);
        this.form = form;
    }
}
MaterialErrorComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-error-component',
                template: `
    <mat-error [ngClass]="model.css.error" [innerHTML]="error.message"></mat-error>
  `,
                inputs: ['model', 'error'],
                providers: [{ provide: DynamicFormErrorComponent, useExisting: MaterialErrorComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialErrorComponent.ctorParameters = () => [
    { type: DynamicForm, },
];

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialFieldsetComponent extends DynamicFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialFieldsetComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-fieldset-component',
                template: `
    <div
      [formGroup]="model.ngGroup"
      [ngClass]="model.css.container"
    >
      <fieldset
        [id]="model.id"
        [ngClass]="model.css.control"
        adfHTMLDomElement
      >
        <legend
          *ngIf="model.local.label"
          [ngClass]="model.css.label"
          [innerHTML]="model.local.label"
        >
        </legend>
        <adf-error-container [model]="model">
        </adf-error-container>
        <adf-group-container
          [model]="model"
          [ngClass]="model.css.content"
        >
        </adf-group-container>
      </fieldset>
    </div>
  `,
                inputs: ['model'],
                providers: [{ provide: DynamicFormControlComponentBase, useExisting: MaterialFieldsetComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialFieldsetComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
// import { Component, EventEmitter, Output } from '@angular/core';
class MaterialFormComponent extends DynamicFormFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialFormComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-form-component',
                template: `
    <div
      [ngClass]="model.css.container"
    >
      <form
        [formGroup]="model.ngControl"
        [id]="model.id"
        [ngClass]="model.css.control"
        (ngSubmit)="onSubmit($event)"
        (reset)="onReset($event)"

        adfHTMLDomElement
        novalidate
      >
        <adf-group-container
          [ngClass]="model.css.content"
          [model]="model"
        >
        </adf-group-container>
      </form>
    </div>
  `,
                inputs: ['model'],
                outputs: ['submit', 'reset'],
                providers: [
                    {
                        provide: DynamicFormControlComponentBase,
                        useExisting: MaterialFormComponent
                    },
                    { provide: DynamicFormFormControlComponent, useExisting: MaterialFormComponent }
                ]
            },] },
];
/**
 * @nocollapse
 */
MaterialFormComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialInputComponent extends DynamicFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-input-component',
                template: `
    <div
      [formGroup]="model.ngGroup"
      [ngClass]="model.css.container"
    >
      <label
        *ngIf="model.local.label"
        [attr.for]="model.id"
        [ngClass]="model.css.label"
        [innerHTML]="model.local.label"
      ></label>
      <mat-form-field [ngClass]="model.css.control">
        <input matInput
          [formControlName]="model.key"
          [id]="model.id"
          [type]="options.inputType || 'text'"
          [maxlength]="options.maxLength"
          [placeholder]="model.local.placeholder"
          [ngClass]="model.css.control"
          adfHTMLDomElement
        />
        <!--
          [minlength]="options.minLength"
          [min]="options.min"
          [max]="options.max"
          [step]="options.step"
        -->
          <adf-error-container [model]="model">
          </adf-error-container>
        </mat-form-field>
  </div>
  `,
                inputs: ['model'],
                providers: [{ provide: DynamicFormControlComponentBase, useExisting: MaterialInputComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialInputComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialRadioGroupComponent extends DynamicFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialRadioGroupComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-radiogroup-component',
                template: `
    <div
      [formGroup]="model.ngGroup"
      [ngClass]="model.css.container"
    >
      <label
        *ngIf="model.local.label"
        [attr.for]="model.id"
        [ngClass]="model.css.label"
        [innerHTML]="model.local.label"
      ></label>
      <mat-radio-group
        [id]="model.id"
        [formControlName]="model.key"
        ngDefaultControl
        adfHTMLDomElement
      >
        <mat-radio-button *ngFor="let opt of model.local.valueOptions"
          [ngClass]="model.css.control"
          [value]="opt.value"
        >
          <span [innerHTML]="opt.label"></span>
        </mat-radio-button>
      </mat-radio-group>
      <adf-error-container [model]="model">
      </adf-error-container>
    </div>
  `,
                inputs: ['model'],
                providers: [{ provide: DynamicFormControlComponentBase, useExisting: MaterialRadioGroupComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialRadioGroupComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialSelectComponent extends DynamicFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialSelectComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-select-component',
                template: `
    <div
      [formGroup]="model.ngGroup"
      [ngClass]="model.css.container"
    >
      <label
        *ngIf="model.local.label"
        [attr.for]="model.id"
        [ngClass]="model.css.label"
        [innerHTML]="model.local.label"
      ></label>
      <mat-form-field [ngClass]="model.css.control">
        <mat-select
          [formControlName]="model.key"
          [id]="model.id"
          [placeholder]="model.local.placeholder"
          [multiple]="options.multiple"
          [ngClass]="model.css.control"
          adfHTMLDomElement
        >
          <mat-option *ngFor="let opt of model.local.valueOptions" [value]="opt.value"><span [innerHTML]="opt.label"></span></mat-option>
        </mat-select>
        <adf-error-container [model]="model">
        </adf-error-container>
      </mat-form-field>
    </div>
  `,
                inputs: ['model'],
                providers: [{ provide: DynamicFormControlComponentBase, useExisting: MaterialSelectComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialSelectComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialSeparatorComponent extends DynamicFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialSeparatorComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-separator-component',
                template: `
    <div
      [formGroup]="model.ngGroup"
      [ngClass]="model.css.container"
    >
      <span [ngClass]="model.css.control"
        [innerHTML]="model.local.label"
      ></span>
    </div>
  `,
                inputs: ['model'],
                providers: [{ provide: DynamicFormControlComponentBase, useExisting: MaterialSeparatorComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialSeparatorComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialSliderComponent extends DynamicFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialSliderComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-input-component',
                template: `
    <div
      [formGroup]="model.ngGroup"
      [ngClass]="model.css.container"
    >
      <label
        *ngIf="model.local.label"
        [attr.for]="model.id"
        [ngClass]="model.css.label"
        [innerHTML]="model.local.label"
      ></label>
      <mat-slider
        [formControlName]="model.key"
        [id]="model.id"
        [min]="options.min"
        [max]="options.max"
        [step]="options.step"
        [ngClass]="model.css.control"
        adfHTMLDomElement
      >
      </mat-slider>
      <adf-error-container [model]="model">
      </adf-error-container>
    </div>
  `,
                inputs: ['model'],
                providers: [{ provide: DynamicFormControlComponentBase, useExisting: MaterialSliderComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialSliderComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialSwitchComponent extends DynamicFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialSwitchComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-input-component',
                template: `
    <div
      [formGroup]="model.ngGroup"
      [ngClass]="model.css.container"
    >
      <label
        *ngIf="model.local.label"
        [attr.for]="model.id"
        [ngClass]="model.css.label"
        [innerHTML]="model.local.label"
      ></label>
      <mat-slide-toggle
        [formControlName]="model.key"
        [id]="model.id"
        [ngClass]="model.css.control"
        adfHTMLDomElement
      >
      </mat-slide-toggle>
      <adf-error-container [model]="model">
      </adf-error-container>
    </div>
  `,
                inputs: ['model'],
                providers: [{ provide: DynamicFormControlComponentBase, useExisting: MaterialSwitchComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialSwitchComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

// tslint:disable use-input-property-decorator use-output-property-decorator no-access-missing-member
class MaterialTextareaComponent extends DynamicFormControlComponent {
    /**
     * @param {?} form
     * @param {?} dynamicFormService
     */
    constructor(form, dynamicFormService) {
        super(form, dynamicFormService);
        this.form = form;
        this.dynamicFormService = dynamicFormService;
    }
}
MaterialTextareaComponent.decorators = [
    { type: Component, args: [{
                selector: 'adf-material-textarea-component',
                template: `
    <div
      [formGroup]="model.ngGroup"
      [ngClass]="model.css.container"
    >
      <label
        *ngIf="model.local.label"
        [attr.for]="model.id"
        [ngClass]="model.css.label"
        [innerHTML]="model.local.label"
      ></label>
      <mat-form-field [ngClass]="model.css.control">
        <textarea matInput
          [formControlName]="model.key"
          [id]="model.id"
          [maxlength]="options.maxLength"
          [minlength]="options.minLength"
          [readonly]="options.readOnly"
          [wrap]="options.wrap"
          [cols]="options.cols"
          [rows]="options.rows"
          [placeholder]="model.local.placeholder"
          [ngClass]="model.css.control"
          adfHTMLDomElement
        >
        </textarea>
        <adf-error-container [model]="model">
        </adf-error-container>
      </mat-form-field>
  </div>
  `,
                inputs: ['model'],
                providers: [{ provide: DynamicFormControlComponentBase, useExisting: MaterialTextareaComponent }]
            },] },
];
/**
 * @nocollapse
 */
MaterialTextareaComponent.ctorParameters = () => [
    { type: DynamicForm, },
    { type: DynamicFormService, },
];

const CONTROL_UNKNOWN = 'md:unknown';
// controls for group or subset model:
const CONTROL_DIVISION = 'md:division';
const CONTROL_FIELDSET = 'md:fieldset';
// controls for array model:
const CONTROL_ARRAY = 'md:array';
// controls for value model:
const CONTROL_CHECKBOX = 'md:checkbox';
const CONTROL_INPUT = 'md:input';
const CONTROL_RADIOGROUP = 'md:radiogroup';
const CONTROL_SELECT = 'md:select';
const CONTROL_SLIDER = 'md:slider';
const CONTROL_SWITCH = 'md:switch';
const CONTROL_TEXTAREA = 'md:textarea';
// controls for null model:
const CONTROL_BUTTON = 'md:button';
const CONTROL_SEPARATOR = 'md:separator';


var controlTypes_enum = Object.freeze({
	CONTROL_UNKNOWN: CONTROL_UNKNOWN,
	CONTROL_DIVISION: CONTROL_DIVISION,
	CONTROL_FIELDSET: CONTROL_FIELDSET,
	CONTROL_ARRAY: CONTROL_ARRAY,
	CONTROL_CHECKBOX: CONTROL_CHECKBOX,
	CONTROL_INPUT: CONTROL_INPUT,
	CONTROL_RADIOGROUP: CONTROL_RADIOGROUP,
	CONTROL_SELECT: CONTROL_SELECT,
	CONTROL_SLIDER: CONTROL_SLIDER,
	CONTROL_SWITCH: CONTROL_SWITCH,
	CONTROL_TEXTAREA: CONTROL_TEXTAREA,
	CONTROL_BUTTON: CONTROL_BUTTON,
	CONTROL_SEPARATOR: CONTROL_SEPARATOR
});

const moduleDeclarations = [
    MaterialFormComponent, MaterialErrorComponent, MaterialArrayComponent, MaterialDivisionComponent,
    MaterialFieldsetComponent, MaterialButtonComponent, MaterialCheckboxComponent, MaterialInputComponent,
    MaterialRadioGroupComponent, MaterialSelectComponent, MaterialSeparatorComponent, MaterialSliderComponent,
    MaterialSwitchComponent, MaterialTextareaComponent
];
class DynamicMaterialFormModule {
    /**
     * @param {?} dynamicFormService
     */
    constructor(dynamicFormService) {
        this.dynamicFormService = dynamicFormService;
        this.dynamicFormService.setFormControlComponent(MaterialFormComponent, true);
        this.dynamicFormService.setErrorComponent(MaterialErrorComponent, true);
        // register default control components:
        this.dynamicFormService.setControlComponent(ControlType.CONTROL_ARRAY, MaterialArrayComponent, true);
        this.dynamicFormService.setControlComponent(ControlType.CONTROL_FIELDSET, MaterialFieldsetComponent, true);
        this.dynamicFormService.setControlComponent(ControlType.CONTROL_DIVISION, MaterialDivisionComponent, true);
        this.dynamicFormService.setControlComponent(ControlType.CONTROL_BUTTON, MaterialButtonComponent, true);
        this.dynamicFormService.setControlComponent(ControlType.CONTROL_SEPARATOR, MaterialSeparatorComponent, true);
        this.dynamicFormService.setControlComponent(ControlType.CONTROL_CHECKBOX, MaterialCheckboxComponent, true);
        this.dynamicFormService.setControlComponent(ControlType.CONTROL_INPUT, MaterialInputComponent, true);
        this.dynamicFormService.setControlComponent(ControlType.CONTROL_RADIOGROUP, MaterialRadioGroupComponent, true);
        this.dynamicFormService.setControlComponent(ControlType.CONTROL_SELECT, MaterialSelectComponent, true);
        this.dynamicFormService.setControlComponent(ControlType.CONTROL_SLIDER, MaterialSliderComponent, true);
        this.dynamicFormService.setControlComponent(ControlType.CONTROL_SWITCH, MaterialSwitchComponent, true);
        this.dynamicFormService.setControlComponent(ControlType.CONTROL_TEXTAREA, MaterialTextareaComponent, true);
        // register material control components:
        this.dynamicFormService.setControlComponent(CONTROL_ARRAY, MaterialArrayComponent, true);
        this.dynamicFormService.setControlComponent(CONTROL_FIELDSET, MaterialFieldsetComponent, true);
        this.dynamicFormService.setControlComponent(CONTROL_DIVISION, MaterialDivisionComponent, true);
        this.dynamicFormService.setControlComponent(CONTROL_BUTTON, MaterialButtonComponent, true);
        this.dynamicFormService.setControlComponent(CONTROL_SEPARATOR, MaterialSeparatorComponent, true);
        this.dynamicFormService.setControlComponent(CONTROL_CHECKBOX, MaterialCheckboxComponent, true);
        this.dynamicFormService.setControlComponent(CONTROL_INPUT, MaterialInputComponent, true);
        this.dynamicFormService.setControlComponent(CONTROL_RADIOGROUP, MaterialRadioGroupComponent, true);
        this.dynamicFormService.setControlComponent(CONTROL_SELECT, MaterialSelectComponent, true);
        this.dynamicFormService.setControlComponent(CONTROL_SLIDER, MaterialSliderComponent, true);
        this.dynamicFormService.setControlComponent(CONTROL_SWITCH, MaterialSwitchComponent, true);
        this.dynamicFormService.setControlComponent(CONTROL_TEXTAREA, MaterialTextareaComponent, true);
    }
}
DynamicMaterialFormModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule, ReactiveFormsModule, DynamicFormModule, BrowserAnimationsModule, MatButtonModule, MatCheckboxModule,
                    MatInputModule, MatRadioModule, MatSelectModule, MatSliderModule, MatSlideToggleModule
                ],
                declarations: [moduleDeclarations],
                entryComponents: [moduleDeclarations],
                exports: [moduleDeclarations]
            },] },
];
/**
 * @nocollapse
 */
DynamicMaterialFormModule.ctorParameters = () => [
    { type: DynamicFormService, },
];

/**
 * Generated bundle index. Do not edit.
 */

export { DynamicMaterialFormModule, MaterialArrayComponent, MaterialButtonComponent, MaterialCheckboxComponent, MaterialDivisionComponent, MaterialErrorComponent, MaterialFieldsetComponent, MaterialFormComponent, MaterialInputComponent, MaterialRadioGroupComponent, MaterialSelectComponent, MaterialSeparatorComponent, MaterialSliderComponent, MaterialSwitchComponent, MaterialTextareaComponent, controlTypes_enum as MaterialControlType, MaterialArrayComponent as ɵc, MaterialButtonComponent as ɵf, MaterialCheckboxComponent as ɵg, MaterialDivisionComponent as ɵd, MaterialErrorComponent as ɵb, MaterialFieldsetComponent as ɵe, MaterialFormComponent as ɵa, MaterialInputComponent as ɵh, MaterialRadioGroupComponent as ɵi, MaterialSelectComponent as ɵj, MaterialSeparatorComponent as ɵk, MaterialSliderComponent as ɵl, MaterialSwitchComponent as ɵm, MaterialTextareaComponent as ɵn };
//# sourceMappingURL=index.js.map
